Retrieves all payments in an instance of xCurrent that meet the criteria defined by the query parameters. You can use the query parameters to filter payments. The default parameters are sort_field : MODIFIED_AT , sort_direction : DESC , page : 0 , size : 10
The page number for paginated results. The value is zero-based, where 0 represents the first page.
Set it to 0 to get the first page of results.
Filters for payments based on the role of the responding connector. Valid roles are SENDING, INTERMEDIARY, RECEIVING, and INTERNAL. The INTERNAL role is meant for payments between RippleNet Cloud and RippleNet where the sender and receiver accounts are on the same RippleNet instance. Use role with state to find payments waiting on action from you as the sending or receiving (or internal) connector.
Designates the column name of the payments database table that is used for filtering payments before/after/between time stamps. The following options are valid: CREATED_AT, MODIFIED_AT, ACCEPTED_AT, LOCKED_AT, EXECUTED_AT, COMPLETED_AT, RETURNED_AT and EXPIRES_AT. For example, if you specify range_field=MODIFIED_AT, you would specify a time stamp (in the 24 character ISO 8601 YYYY-MM-DDTHH:mm:ss.sssZ format used in payment objects) as the value for before and/or after to fetch payments before, after, or between the specified time range(s) (not inclusive). If range_field is specified, before and/or after must also be specified.
Designates the column name of the payments database table that is used for filtering payments greater/less/between amounts. For example, if you specify amount_range_field=SENDING_AMOUNT, you would specify an amount as the value for greater and/or less to fetch payments greater, less, or between the specified amounts (inclusive). If amount_range_field is specified, minAmount and/or maxAmount must also be specified.
Returns payments that do not have any of the specified labels.
If you apply without_labels with multiple labels, the response returns payments that do not have any of the specified labels.
For example, the query,
?without_labels=string3,string4
returns payments that are not labeled with either "string3" OR "string4".
If you apply both with_labels and without_labels parameters, the response returns payments that have at least one of the specified with_labels strings but omits payments that also have any of the the without_labels strings.
For example, the query,
?with_labels=string1&without_labels=string3
returns payments with "string1" but not payments with "string3".
- Mock serverhttps://docs.ripple.com/_mock/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payments
- https://[domainPrefix].ripplexcurrent.com/v4https://[domainPrefix].ripplexcurrent.com/v4/payments
curl -i -X GET \
'https://docs.ripple.com/_mock/pt-br/products/payments-odl/api-docs/ripplenet/reference/openapi/payments?page=0&size=10&sending_host=string&receiving_host=string&sending_account=string&receiving_account=string&sending_currency=string&receiving_currency=string&payment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&payment_type=string&internal_id=string&sender_end_to_end_id=string&connector_role=string&state=string&states=string&before=string&after=string&range_field=string&amount_range_field=SENDING_AMOUNT&min_amount=0&max_amount=0&with_labels=string&without_labels=string&sort_field=MODIFIED_AT&sort_direction=DESC&load_additional_details=true&payment_ids=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-H 'Authorization: YOUR_API_KEY_HERE'Successful response
{ "first": true, "last": true, "number": 0, "numberOfElements": 0, "size": 0, "totalElements": 0, "totalPages": 0, "sort": [ { … } ], "content": [ { … } ] }